Specify editor & plugin versions

发布于 2019-05-06 字数9536 浏览 767 评论 0

Specifying the TinyMCE editor version deployed from Cloud

Use the URL provided to specify the TinyMCE version when deploying via Tiny Cloud. Refer to the TinyMCE editor via the Tiny Cloud for more information.

The following example is the default for loading TinyMCE 5.0 via Tiny Cloud:

<script src="https://cloud.tinymce.com/5/tinymce.min.js?apiKey=your_API_key"></script>

This URL specifies the latest and quality assured release of TinyMCE.

Selecting specific version numbers

Support for requesting specific versions of TinyMCE 5.0 should work same as Tinymce 4. In the meantime, there are three release channels available, see the section below.

dev, testing, and stable releases

Choose from dev, testing, or stable release channels to load the latest version of TinyMCE from Tiny Cloud.

These channels are updated automatically and provide the latest TinyMCE version that matches the criteria below.

dev release channel

This channel deploys the absolute latest version of TinyMCE as documented in TinyMCE changelog. The current version of TinyMCE available through the dev channel can be found here.

Example
<script src="https://cloud.tinymce.com/5-dev/tinymce.min.js?apiKey=your_API_key"></script>

testing release channel

This channel deploys the current release candidate for the stable channel. The TinyMCE release candidate is undergoing quality assurance. The current version of TinyMCE available through the testing channel can be found at here.

Example
<script src="https://cloud.tinymce.com/5-testing/tinymce.min.js?apiKey=your_API_key"></script>

stable release channel

This channel deploys the latest release of TinyMCE that has passed our quality assurance process. The current version of TinyMCE available through the /5 stable channel can be found here. The TinyMCE 5 stable channel can be loaded from this url.

Example
<script src="https://cloud.tinymce.com/5/tinymce.min.js?apiKey=your_API_key"></script>

Specifying the version of features/plugins deployed from Tiny Cloud

Use the URL query parameters to specify the version of each premium plugin. This is used when deployment is through the TinyMCE editor and premium plugins via Tiny Cloud or deploying only premium plugins from Tiny Cloud.

Mentions

  • Developer documentation
  • Supported versions
Example
<script src="https://cloud.tinymce.com/5/plugins.min.js?apiKey=your_API_key&mentions=2.0.0"></script>

Tiny Drive

  • Developer documentation
  • Supported versions
Example
<script src="https://cloud.tinymce.com/5/plugins.min.js?apiKey=your_API_key&tinydrive=1.1.0"></script>

Comments 2.0

  • Developer documentation
  • Supported versions
Example
<script src="https://cloud.tinymce.com/5/plugins.min.js?apiKey=your_API_key&tinycomments=2.0.0"></script>

Page Embed

  • Developer documentation
  • Supported versions
Example
<script src="https://cloud.tinymce.com/5/plugins.min.js?apiKey=your_API_key&pageembed=1.0.0"></script>

Permanent Pen

  • Developer documentation
  • Supported versions
Example
<script src="https://cloud.tinymce.com/5/plugins.min.js?apiKey=your_API_key&permanentpen=1.0.0"></script>

Format Painter

  • Developer documentation
  • Supported versions
Example
<script src="https://cloud.tinymce.com/5/plugins.min.js?apiKey=your_API_key&formatpainter=1.0.0"></script>

PowerPaste

  • Developer documentation
  • Supported versions
Example
<script src="https://cloud.tinymce.com/5/plugins.min.js?apiKey=your_API_key&powerpaste=4.0.0"></script>

Spell Checker Pro

  • Developer documentation
  • Supported versions
Example
<script src="https://cloud.tinymce.com/5/plugins.min.js?apiKey=your_API_key&tinymcespellchecker=1.0.0"></script>

Accessibility Checker

  • Developer documentation
  • Supported versions
Example
<script src="https://cloud.tinymce.com/5/plugins.min.js?apiKey=your_API_key&a11ychecker=2.0.0"></script>

Advanced Code Editor

  • Developer documentation
  • Supported versions
Example
<script src="https://cloud.tinymce.com/5/plugins.min.js?apiKey=your_API_key&advcode=2.0.0"></script>

Enhanced Media Embed

  • Developer documentation
  • Supported versions
Example
<script src="https://cloud.tinymce.com/5/plugins.min.js?apiKey=your_API_key&mediaembed=2.0.0"></script>

Link Checker

  • Developer documentation
  • Supported versions
Example
<script src="https://cloud.tinymce.com/5/plugins.min.js?apiKey=your_API_key&linkchecker=2.0.0"></script>

Specifying a self-hosted deployment of features/plugins

If you’re deploying only premium plugins from Tiny Cloud, you may want to have some features served from Tiny Cloud and some features served from your self-hosted installation. This is also possible with URL query parameters and the special version name “SDK”.

The “SDK” version lets the TinyMCE Plugin Manager know that you’re not using Tiny Cloud version of a particular plugin and that it shouldn’t serve the plugin from Tiny Cloud. It also won’t display any warning or error messages if you’re not entitled to it.

Mentions

  • Developer documentation
Example
<script src="https://cloud.tinymce.com/5/plugins.min.js?apiKey=your_API_key&mentions=sdk"></script>

Tiny Drive

  • Developer documentation
Example
<script src="https://cloud.tinymce.com/5/plugins.min.js?apiKey=your_API_key&tinydrive=sdk"></script>

Comments 2.0

  • Developer documentation
Example
<script src="https://cloud.tinymce.com/5/plugins.min.js?apiKey=your_API_key&tinycomments=sdk"></script>

Page Embed

  • Developer documentation
Example
<script src="https://cloud.tinymce.com/5/plugins.min.js?apiKey=your_API_key&pageembed=sdk"></script>

Permanent Pen

  • Developer documentation
Example
<script src="https://cloud.tinymce.com/5/plugins.min.js?apiKey=your_API_key&permanentpen=sdk"></script>

Format Painter

  • Developer documentation
Example
<script src="https://cloud.tinymce.com/5/plugins.min.js?apiKey=your_API_key&formatpainter=sdk"></script>

PowerPaste

  • Developer documentation
Example
<script src="https://cloud.tinymce.com/5/plugins.min.js?apiKey=your_API_key&powerpaste=sdk"></script>

Spell Checker Pro

  • Developer documentation
Example
<script src="https://cloud.tinymce.com/5/plugins.min.js?apiKey=your_API_key&tinymcespellchecker=sdk"></script>

Accessibility Checker

  • Developer documentation
Example
<script src="https://cloud.tinymce.com/5/plugins.min.js?apiKey=your_API_key&a11ychecker=sdk"></script>

Advanced Code Editor

  • Developer documentation
Example
<script src="https://cloud.tinymce.com/5/plugins.min.js?apiKey=your_API_key&advcode=sdk"></script>

Enhanced Media Embed

  • Developer documentation
Example
<script src="https://cloud.tinymce.com/5/plugins.min.js?apiKey=your_API_key&mediaembed=sdk"></script>

Link Checker

  • Developer documentation
Example
<script src="https://cloud.tinymce.com/5/plugins.min.js?apiKey=your_API_key&linkchecker=sdk"></script>

Featuring declared editor and plugin versions

Support for requesting specific versions of TinyMCE 5.0 will work similar to TinyMCE 4. Only the latest version is available via the cloud.

您暂时不能评论!

管理员开启了需要登录才能够评论,你可以免费注册一个本站的账号。

还没有评论!

目前还没有任何评论,快来抢沙发吧!